pdumodel::MemoryMapController_4_0_1 Interface Reference

Memory map controller. More...

`import"MemoryMapController.idl";`

Inheritance diagram for pdumodel::MemoryMapController_4_0_1:

## Public Member Functions

int | readMemory (in int address, in int size, out vector< byte > memory)
| Read a given number of bytes from an address. More...
int | writeMemory (in int address, in vector< byte > memory)
| Write bytes to an address. More...
Public Member Functions inherited from pdumodel::Controller_4_0_1
Status | getCommunicationStatus ()
| Retrieve the current status of communication with controller. More...
CtrlStatistic | getStatistics ()
| Retrieve statistics. More...
MetaData | getMetaData ()
| Retrieve the slave controller metadata. More...
int | reset ()
| Reset this slave controller. More...

## Additional Inherited Members

Public Types inherited from pdumodel::Controller_4_0_1
enum | Status { OK, COMMUNICATION_UNSTABLE, COMMUNICATION_FAILURE, UNKNOWN, INCOMPATIBLE, FIRMWARE_UPDATE }
| Communication status. More...
enum | Type { OUTLET_CTRL, INLET_CTRL, METER_CTRL }
| Slave controller type. More...
Public Attributes inherited from pdumodel::Controller_4_0_1
constant int | ERR_NOT_SUPPORTED = 1
| Operation not supported.
valueobject | StatusChangedEvent: idl::Event { Status oldStatus
| Event: Controller communication status has changed. More...
Status | newStatus
| Status after change.
valueobject | MetaDataChangedEvent: idl::Event { MetaData oldMetaData
| Event: Controller metadata has changed. More...
MetaData | newMetaData
| Metadata after change.

## Detailed Description

Memory map controller.

## Member Function Documentation

## readMemory()

int pdumodel::MemoryMapController_4_0_1::readMemory | ( | in int | address,
|  | in int | size,
|  | out vector< byte > | memory
| ) |  |

Read a given number of bytes from an address.

Parameters

  address | The address to read
  size | The number of bytes to read
  memory | The vector with the read bytes

Returns
  0 if OK
  an error code otherwise

## writeMemory()

int pdumodel::MemoryMapController_4_0_1::writeMemory | ( | in int | address,
|  | in vector< byte > | memory
| ) |  |

Write bytes to an address.

Parameters

  address | The address to write
  memory | The vector with the bytes to write

Returns
  0 if OK
  an error code otherwise

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/MemoryMapController.idl